All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ProductQuantizer::PQEncoderGeneric Struct Reference

## Public Member Functions

| PQEncoderGeneric (uint8_t *code, int nbits, uint8_t offset=0)
void | encode (uint64_t x)

## Public Attributes

uint8_t * | code
| code for this vector
uint8_t | offset
const int | nbits
| number of bits per subquantizer index
uint8_t | reg

## Detailed Description

Definition at line 177 of file ProductQuantizer.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/ProductQuantizer.h
- /data/users/hoss/faiss/ProductQuantizer.cpp